## steam 1.0.0.75

=== debian/changelog ===
steam (1:1.0.0.75-1) unstable; urgency=medium

  * New upstream release
    - Updated Steam client binary, build 1654574690 (2022-06-07)
    - Updated Steam Runtime, build 0.20220315.0
  * Add Recommends on libva-drm2 and libva-glx2, following upstream.
    This is similar to the Depends on libva2:i386 and libva-x11-2:i386
    in the previous release.

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Sep 2022 12:42:40 +0100

steam (1:1.0.0.74-2) unstable; urgency=medium

  * d/copyright.in: Replace CC0-1.0 text with a reference to common-licenses
  * d/control: Depend on libcrypt1, with old-libc alternative for backports.
    Some legacy libraries in the Steam Runtime depend on libcrypt.so.1,
    which they could historically rely on being able to pick up from the
    libc6 package. This is no longer the case since bullseye.
  * d/control: Recommend libfontconfig1, libnm0.
    Steam uses these. There is a suitable version in the Steam Runtime,
    but it's very old; if we pull in the much newer i386 packages from
    Debian, the runtime will automatically prefer them, and they'll
    generally work better with modern /etc/fonts and modern NM.
  * Depend on libva2 and libva-x11-2.
    This avoids version skew that can occur if the host system has
    libva2:i386 but not libva-x11-2:i386. If that occurs, then Steam ends up
    trying to load libva-x11-2:i386 from the Steam Runtime and libva2:i386
    from the host system, which can't work reliably, because there is
    private ABI between those two libraries. (steam-for-linux#8673)
  * Standards-Version: 4.6.1 (no changes required)
  * Use recommended debhelper compat level 13
  * Update Lintian overrides
  * Add Lintian override for XS-Autobuild field

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Jul 2022 18:17:00 +0100
