## steam 1.0.0.78

=== debian/changelog ===
steam (1:1.0.0.78) beta; urgency=medium

  * Specifically require gnome-terminal, konsole or xterm, and don't accept
    x-terminal-emulator. We require a terminal emulator that can be told to
    wait until the command it is running has exited, and that isn't the
    case for all x-terminal-emulator implementations, resulting in Steam
    trying to start before its dependencies have been installed, which will
    fail. (Reopens: steam-for-linux#9350)

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 May 2023 20:46:27 +0100

steam (1:1.0.0.77) beta; urgency=medium

  * Build using updated Steam client:
    - Client timestamp 1682708537 (2023-04-28)
    - Steam Runtime (scout) version 0.20230118.0
  * Update steam-devices subproject up to 2023-04-12:
    - steam-input: Add Razer Raiju Ultimate
      (steam-devices#31, thanks to @IAmTheRedSpy)
    - steam-input: Add Sony DualShock 3 (Playstation 3) controller
      (steam-devices#43, thanks to Jonatas Esteves)
    - steamvr: Provide access to Valve Index (28de:2102) serial port
      (steam-devices#44, thanks to Joshua Ashton)
  * Packaging:
    - Depend on Python 3.4.
      This was available in Debian since version 8 (EOL long ago), in Ubuntu
      since 14.04 (EOL), and in SteamOS 2 (EOL).
    - Depend on pkexec in preference to policykit-1, avoiding installation
      of a deprecated transitional package on Debian >= 12 and
      Ubuntu >= 22.04. Older versions that only have policykit-1 still work.
  * steamdeps installer script:
    - Turn off autoremovals when steamdeps runs apt, avoiding
      a failure to install dependencies if autoremovals were enabled
      system-wide (steam-for-linux#9350)
    - Accept any x-terminal-emulator as a terminal (steam-for-linux#9265)
    - Try harder to tell apt's conflict resolution heuristic
      that removing steam-launcher is not a good solution
      (followup for steam-for-linux#9301)
    - Remove compatibility with Python 3.2
    - Use shutil.which instead of which(1), for better efficiency and to
      avoid deprecation warnings in some versions
  * CI:
    - Test steamdeps on Ubuntu 16.04
    - Test steamdeps on Debian 12

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 May 2023 16:25:00 +0100

steam (1:1.0.0.76) beta; urgency=medium

  [ Simon McVittie ]
  * Don't install apt repository key into /etc/apt/trusted.gpg.d.
    In modern versions of apt the recommendation is to install third-party
    repository keys into locations not trusted by apt by default,
    and use the signed-by field in sources.list.d entries to request
    validation against those keys for a specific repository, limiting
    security exposure.
    This configuration change requires apt 1.1 or later, dropping support
    for Ubuntu 12.04 'precise' and Ubuntu 14.04 'trusty' (both of which have
    already reached end-of-life). The apt repository continues to provide
    a 'precise' suite for historical reasons.
    On upgrades from earlier versions, steam.gpg is removed from
    /etc/apt/trusted.gpg.d. If it has local system administrator
    modifications (which it should not) then the modified version is kept
    as steam.gpg.dpkg-bak but is no longer used, unless merged by the system
    administrator.
    Similarly, on upgrades from earlier versions, steam.list is removed
    from /etc/apt/sources.list.d. If it has local system administrator
    modifications, most commonly to enable the beta steam-launcher, then
    the modified version is kept as steam.list.dpkg-bak but is no longer
    used unless merged by the system administrator.
    New apt source configuration is provided in steam-stable.list (for the
    stable version) and steam-beta.list (for the beta version, commented
    out by default), so that beta users will not usually need to edit
    steam-stable.list. (steamrt/tasks#245)
  * Build using updated Steam client:
    - Client timestamp 1676336721 (2023-02-14)
    - Steam Runtime version 0.20221019.0
  * d/control: steam-launcher Provides/Conflicts/Replaces equivalent
    packages in Debian/Ubuntu
  * Internal CI fixes (steamrt/tasks#203)

  [ Ludovico de Nittis ]
  * bin_steamdeps: Remove workarounds for Ubuntu 14.04 and earlier.
    With the requirement of apt 1.1 or later, we effectively dropped support
    for the EOL Ubuntu releases 12.04 and 14.04.
    This allows us to remove some workarounds we had in place to support
    those distros.

 -- Simon McVittie <smcv@collabora.com>  Wed, 01 Mar 2023 18:53:48 +0000

steam (1:1.0.0.75) beta; urgency=medium

  [ Ludovico de Nittis ]
  * Add Recommends on libfontconfig1:i386 and libnm0:i386.
    Those libraries are already included in the scout Steam Runtime,
    but the versions from the host distribution are likely to interoperate
    better with a modern /etc/fonts and NetworkManager. (steamrt/tasks#118)
  * d/control: Add libcrypt1 dependency.
    Several legacy libraries in the Scout runtime depend on libcrypt.so.1,
    which used to be part of libc6. (steamrt/tasks#138)

  [ Simon McVittie ]
  * d/control: Recommend libva-drm2, libva-glx2, libva-x11-2.
    These come from the same source package, so they should be the same
    version, and this is more likely to happen if we install all of them
    from the host distribution. (steamrt/tasks#140, steam-for-linux#8673)
  * Build using updated Steam client:
    - Client timestamp 1654574690 (2022-06-07)
    - Steam Runtime version 0.20220315.0

 -- Simon McVittie <smcv@collabora.com>  Tue, 12 Jul 2022 20:10:25 +0100

steam (1:1.0.0.74) beta; urgency=medium

  * Add Recommends on libva.so.2 (libva2) and its drivers. (steamrt/tasks#42)
    This is available since Debian 10 and Ubuntu 18.04, and is used for
    VA-API video acceleration on Mesa-supported GPUs.
    The 32-bit version is used for the Remote Play client and server in
    current Steam versions. The 64-bit version might be needed in future.
  * d/README.source: Update CI steps
  * Build using updated Steam client:

