=== debian/control ===
--- 
+++ 
@@ -33,10 +33,10 @@
          file,
          libc6 (>= 2.15),
          libnss3 (>= 2:3.26),
-         policykit-1,
-         python3,
+         pkexec | policykit-1,
+         python3 (>= 3.4),
          python3-apt,
-         xterm | gnome-terminal | konsole | x-terminal-emulator,
+         xterm | gnome-terminal | konsole,
          xz-utils,
          zenity
 Recommends: steam-libs-amd64,
